Remove a catalog item
/rest/ofscPartsCatalog/v1/catalogs/{catalog}/{language}/{itemLabel}
This operation deletes a catalog item with the specified catalog label, specified language, and the specified item label.
The Parts Catalog service is modified to manage the updates internally so that it does not cause constant catalog redistribution to the technician devices. All the incremental updates to the catalog are collected and applied after a certain period of time, which could take up to 4 hours.
Request
-
catalog(required): string
The label of the catalog.
-
itemLabel(required): string
The label of the catalog item.
-
language(required): string
The ISO language code (for example, 'en-US').
Use the reserved word 'all' to make the catalog available for all users regardless of configured language.
Response
- application/json
204 Response
Default Response
object-
detail:
string
The detailed information about the error.
-
status:
string
The HTTP status code.
-
title:
string
The summary of the error message.
-
type:
string
The URL of the page containing the error details.
Examples
The following example shows how to delete an item by submitting a DELETE request on the REST resource:
Request Example
curl -u 'clientID@instanceName:clientSecret' \ -X DELETE \ --url 'https://<instance_name>.fs.ocs.oraclecloud.com/rest/ofscPartsCatalog/v1/catalogs/my_catalog/en/RG5-7691-250CN' \ -H 'Content-Type: application/json' -H 'Accept: application/json'
Response Header Example
The following shows an example of the response header.
HTTP/1.1 200 OK Server: nginx Date: Thu, 07 Feb 2019 16:28:18 GMT Content-Type: application/json; charset=utf-8 Connection: close
Response Body Example
204 Response Operation completed successfully